aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xtest/endpoints.sh7
1 files changed, 7 insertions, 0 deletions
diff --git a/test/endpoints.sh b/test/endpoints.sh
new file mode 100755
index 0000000..0c47cd6
--- /dev/null
+++ b/test/endpoints.sh
@@ -0,0 +1,7 @@
+#!/usr/bin/env sh
+set -e
+set -x
+
+curl -X GET http://127.0.0.1:8008/price?name=CAKE&unit=USD
+curl -X GET http://127.0.0.1:8008/pair?one=ETH&two=CAKE&multiplier=4.0
+curl -X POST -H "Content-Type: application/json" -d '{"name":"alert1", "expr":"ETH>CAKE"}' http://127.0.0.1:8008/addalert